.TH "hmma" l "March 1995" "HMMER 1.8" hmma 

.SH NAME
.TP
.I hmma 
- multiple sequence alignment using a trained hidden Markov model
.SH SYNOPSIS
.B hmma [options] hmmfile seqfile
.SH DESCRIPTION
.I hmma
makes a multiple sequence alignment of the sequences in 
.I seqfile,
using the trained hidden Markov model in
.I hmmfile.
.PP
.I seqfile 
may contain RNA, DNA, or amino acid sequences (don't mix them, though). 
It may be in any one of several different common sequence file formats,
including EMBL, Genbank, and FASTA. The easiest to type in yourself
is FASTA format, which consists of a line starting with > containing
the name (one word) and an optional description of the sequence,
followed by one or more lines of sequence.
.PP
The multiple sequence alignment is printed on the terminal screen;
to save it, one must either redirect output to a file or use the
.I -o
option.
.PP
The alignment contains both upper-case and lower-case amino acids.
Upper-case amino acids are aligned to match states in the HMM.
Lower-case amino acids were assigned to insert states. An HMM does not
attempt to align inserts.  Contiguous inserts of greater than 1
residue are simply printed left-justified, with no gaps.

.SH OPTIONS
.TP
-h
Print short usage and help info for the program.
.TP
-m
Don't print symbols generated by HMM insert states. Useful for
printing multiple sequence alignments of sequences with very long
insertions of meaningless alignment. 
.TP
-o <outfile>
Save the multiple sequence alignment to 
.I outfile.
The output format used is SELEX format.
.TP
-q
(quiet); suppress the verbose banner information.
.TP
-r <rfile>
Read the random sequence model from <rfile>. This model is used as the
null hypothesis for calculating log-odds alignment scores.
.TP
-s <scorefile>
Save the individual alignment scores to the file
.I scorefile.
.TP
-R
(Experimental) "Ragged" alignment -- use modified Smith/Waterman instead
of global Needleman/Wunsch style alignment.
The entire sequence fragment is forced
to match, but it is allowed to match a fragment of the model.
This is useful if your sequence set is known to contain a number of
fragments and you don't want the HMM to be forced to invoke a number of
fictitious delete states to account for the missing ends.
.SH AUTHOR
Sean Eddy (eddy@genetics.wustl.edu)
.SH SEE ALSO
.PP
Overview: hmmer(l)
.PP
Individual man pages: hmmb(l), hmme(l), hmmfs(l), hmmls(l), hmms(l), 
hmmsw(l), hmmt(l), hmm_convert(l)
.PP
User guide and tutorial: Userguide.ps
.SH BUGS
No major bugs known.

Not very tolerant of errors on the command line.

.SH NOTES

This software and documentation is Copyright (C) 1992-1995, Sean R.
Eddy.  It is freely distributable under terms of the GNU General
Public License. See COPYING, in the source code distribution, for more
details, or contact me.

.nf
Sean Eddy
Dept. of Genetics, Washington Univ. School of Medicine
660 S. Euclid Box 8232
St Louis, MO 63110 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-2985
Email: eddy@genetics.wustl.edu
.fi

